Skip to main content

Get All Regions

GET 

/session/v1/regions

Get all of the enabled regions and their configuration

Required Permissions:

  • For any player (including themselves) any of: session:*, session:read:config

Required Session Permissions: None

Request

Query Parameters

    cursor Cursor

    Default value: 0

    page_size Page Size

    Possible values: >= 1 and <= 50

    Default value: 50

Responses

Successful Response

Schema

    regions

    object[]

    required

    List of all regions

  • Array [

  • region_id Region Id (string)required

    Possible values: non-empty and <= 128 characters

    ID for this region

    sort_order Sort Order (integer)required

    The sorting priority order for this region

    custom_only Custom Only (boolean)required

    Indicates if the region is for custom games only

    description Description (string)

    Possible values: non-empty and <= 256 characters

    Text description of the region

  • ]

  • cursor Cursor (integer)required

    Cursor to continue iterating through enabled regions. Non 0 cursor in the response means there are more regions. Pass the returned cursor up on a subsequent call to continue. A 0 cursor in the response means you have reached the end

Loading...